/*
 * generated by Xtext 2.16.0
 */
package org.xtext.ungs.drake.ui;

import com.google.inject.Injector;
import org.eclipse.core.runtime.Platform;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;
import org.xtext.ungs.drake.ui.internal.DrakeActivator;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class DrakeExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return Platform.getBundle(DrakeActivator.PLUGIN_ID);
	}
	
	@Override
	protected Injector getInjector() {
		DrakeActivator activator = DrakeActivator.getInstance();
		return activator != null ? activator.getInjector(DrakeActivator.ORG_XTEXT_UNGS_DRAKE_DRAKE) : null;
	}

}
